> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.ollang.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Memory

> Create a new translation memory for your account

Create an empty translation memory. Fill it with the [Import Memory Items](/apis/ollang-api-reference/import-memory-items) endpoint, then pass its id as `selectedMemories` when [creating an order](/apis/ollang-api-reference/create-order).

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://api-integration.ollang.com/integration/memories" \
    -H "X-Api-Key: <your-api-key>" \
    -H "Content-Type: application/json" \
    -d '{
      "title": "Product documentation EN→FR"
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api-integration.ollang.com/integration/memories",
    {
      method: "POST",
      headers: {
        "X-Api-Key": "<your-api-key>",
        "Content-Type": "application/json",
      },
      body: JSON.stringify({
        title: "Product documentation EN→FR",
      }),
    }
  );

  const memory = await response.json();
  ```

  ```python Python theme={null}
  import requests

  data = {"title": "Product documentation EN→FR"}

  headers = {
      "X-Api-Key": "<your-api-key>",
      "Content-Type": "application/json",
  }

  response = requests.post(
      "https://api-integration.ollang.com/integration/memories",
      json=data,
      headers=headers,
  )

  memory = response.json()
  ```
</RequestExample>

## Authorizations

This endpoint requires API key authentication.

* **Header name**: `X-Api-Key`
* **Header value**: Your API key from the [Ollang dashboard](https://lab.ollang.com)

## Body Parameters

<ParamField body="title" type="string" required>
  Human-readable name of the translation memory.
</ParamField>

## Response

Returns the created translation memory object.

<ResponseField name="id" type="string">
  Unique identifier of the translation memory.
</ResponseField>

<ResponseField name="title" type="string">
  Human-readable name of the translation memory.
</ResponseField>

<ResponseField name="memoryItemsCount" type="number">
  Number of translation units stored in the memory. Always `0` for a newly
  created memory.
</ResponseField>

<ResponseField name="createdAt" type="string">
  Creation timestamp (ISO 8601).
</ResponseField>

<ResponseField name="updatedAt" type="string">
  Last update timestamp (ISO 8601).
</ResponseField>

<ResponseExample>
  ```json 201 theme={null}
  {
    "id": "507f1f77bcf86cd799439011",
    "title": "Product documentation EN→FR",
    "memoryItemsCount": 0,
    "createdAt": "2026-08-11T09:15:00.000Z",
    "updatedAt": "2026-08-11T09:15:00.000Z"
  }
  ```

  ```json 403 theme={null}
  {
    "statusCode": 403,
    "message": "Translation Memory feature is not available in your current plan. Please upgrade to access this feature."
  }
  ```

  ```json 401 theme={null}
  {
    "error": "Unauthorized",
    "message": "Invalid or missing API key"
  }
  ```
</ResponseExample>
